package turbowin;

import javax.swing.JOptionPane;
/*
 * mywaves.java
 *
 * Created on 3 mei 2007, 13:07
 */

/**
 *
 * @author  stam
 */
final public class mywaves extends javax.swing.JFrame {
   
   /** Creates new form mywaves */
   public mywaves() {
      initComponents();
      initComponents2();
      initSynopparameters(); 
      setLocation(main.x_pos_frame, main.y_pos_frame);
   }
   
   /** This method is called from within the constructor to
    * initialize the form.
    * WARNING: Do NOT modify this code. The content of this method is
    * always regenerated by the Form Editor.
    */
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      buttonGroup1 = new javax.swing.ButtonGroup();
      jPanel1 = new javax.swing.JPanel();
      jLabel2 = new javax.swing.JLabel();
      jLabel3 = new javax.swing.JLabel();
      jTextField1 = new javax.swing.JTextField();
      jTextField2 = new javax.swing.JTextField();
      jLabel9 = new javax.swing.JLabel();
      jLabel14 = new javax.swing.JLabel();
      jSeparator1 = new javax.swing.JSeparator();
      jLabel7 = new javax.swing.JLabel();
      jPanel2 = new javax.swing.JPanel();
      jRadioButton1 = new javax.swing.JRadioButton();
      jRadioButton2 = new javax.swing.JRadioButton();
      jRadioButton3 = new javax.swing.JRadioButton();
      jRadioButton4 = new javax.swing.JRadioButton();
      jRadioButton5 = new javax.swing.JRadioButton();
      jLabel1 = new javax.swing.JLabel();
      jPanel3 = new javax.swing.JPanel();
      jLabel4 = new javax.swing.JLabel();
      jLabel5 = new javax.swing.JLabel();
      jLabel6 = new javax.swing.JLabel();
      jLabel8 = new javax.swing.JLabel();
      jLabel10 = new javax.swing.JLabel();
      jLabel11 = new javax.swing.JLabel();
      jLabel12 = new javax.swing.JLabel();
      jLabel13 = new javax.swing.JLabel();
      jLabel15 = new javax.swing.JLabel();
      jLabel16 = new javax.swing.JLabel();
      jLabel17 = new javax.swing.JLabel();
      jLabel18 = new javax.swing.JLabel();
      jLabel19 = new javax.swing.JLabel();
      jLabel20 = new javax.swing.JLabel();
      jLabel21 = new javax.swing.JLabel();
      jLabel22 = new javax.swing.JLabel();
      jLabel23 = new javax.swing.JLabel();
      jButton4 = new javax.swing.JButton();
      jButton1 = new javax.swing.JButton();
      jButton2 = new javax.swing.JButton();
      jButton3 = new javax.swing.JButton();
      jButton5 = new javax.swing.JButton();
      jPanel4 = new javax.swing.JPanel();
      jLabel24 = new javax.swing.JLabel();
      jLabel25 = new javax.swing.JLabel();
      jLabel26 = new javax.swing.JLabel();
      jLabel27 = new javax.swing.JLabel();
      jLabel28 = new javax.swing.JLabel();
      jLabel29 = new javax.swing.JLabel();
      jLabel30 = new javax.swing.JLabel();
      jLabel31 = new javax.swing.JLabel();
      jLabel32 = new javax.swing.JLabel();
      jLabel33 = new javax.swing.JLabel();
      jLabel34 = new javax.swing.JLabel();
      jLabel35 = new javax.swing.JLabel();
      jLabel36 = new javax.swing.JLabel();
      jLabel37 = new javax.swing.JLabel();
      jLabel38 = new javax.swing.JLabel();
      jLabel39 = new javax.swing.JLabel();

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Waves");
      setBounds(new java.awt.Rectangle(0, 0, 0, 0));
      setMinimumSize(new java.awt.Dimension(800, 600));
      setResizable(false);

      jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
      jLabel2.setText("period (sec)");

      jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.TRAILING);
      jLabel3.setText("height (metres)");

      jLabel9.setText("[confused, 0 - 50]");

      jLabel14.setText("[confused, 0.0 - 49.0] ");

      javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
      jPanel1.setLayout(jPanel1Layout);
      jPanel1Layout.setHorizontalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addGap(72, 72, 72)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jLabel3)
               .addComponent(jLabel2))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 60, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 61, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel14)
               .addComponent(jLabel9))
            .addContainerGap(99, Short.MAX_VALUE))
      );
      jPanel1Layout.setVerticalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel2)
               .addComponent(jLabel9))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel14)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel3))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
      jLabel7.setText("wind waves (sea)");

      jPanel2.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      buttonGroup1.add(jRadioButton1);
      jRadioButton1.setText("Swell not determined");

      buttonGroup1.add(jRadioButton2);
      jRadioButton2.setText("No swell");

      buttonGroup1.add(jRadioButton3);
      jRadioButton3.setText("Confused swell or indeterminable direction");

      buttonGroup1.add(jRadioButton4);
      jRadioButton4.setText("One swell discernable");

      buttonGroup1.add(jRadioButton5);
      jRadioButton5.setText("Two swells discernable");

      javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
      jPanel2.setLayout(jPanel2Layout);
      jPanel2Layout.setHorizontalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addGap(15, 15, 15)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jRadioButton5)
               .addComponent(jRadioButton4)
               .addComponent(jRadioButton3)
               .addComponent(jRadioButton2)
               .addComponent(jRadioButton1))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );
      jPanel2Layout.setVerticalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addContainerGap()
            .addComponent(jRadioButton1)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jRadioButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jRadioButton3)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jRadioButton4)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jRadioButton5)
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jLabel1.setText("swell system(s)");

      jPanel3.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel4.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel4.setForeground(new java.awt.Color(0, 0, 255));
      jLabel4.setText("Bf      sea (metres)*");

      jLabel5.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel5.setForeground(new java.awt.Color(0, 0, 255));
      jLabel5.setText("0             0.0");

      jLabel6.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel6.setForeground(new java.awt.Color(0, 0, 255));
      jLabel6.setText("1             0.1");

      jLabel8.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel8.setForeground(new java.awt.Color(0, 0, 255));
      jLabel8.setText("2             0.2");

      jLabel10.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel10.setForeground(new java.awt.Color(0, 0, 255));
      jLabel10.setText("3             0.6");

      jLabel11.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel11.setForeground(new java.awt.Color(0, 0, 255));
      jLabel11.setText("4             1.0");

      jLabel12.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel12.setForeground(new java.awt.Color(0, 0, 255));
      jLabel12.setText("5             2.0");

      jLabel13.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel13.setForeground(new java.awt.Color(0, 0, 255));
      jLabel13.setText("6             3.0");

      jLabel15.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel15.setForeground(new java.awt.Color(0, 0, 255));
      jLabel15.setText("7             4.0");

      jLabel16.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel16.setForeground(new java.awt.Color(0, 0, 255));
      jLabel16.setText("8             5.5");

      jLabel17.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel17.setForeground(new java.awt.Color(0, 0, 255));
      jLabel17.setText("9             7.0");

      jLabel18.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel18.setForeground(new java.awt.Color(0, 0, 255));
      jLabel18.setText("10           9.0");

      jLabel19.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel19.setForeground(new java.awt.Color(0, 0, 255));
      jLabel19.setText("11          11.5");

      jLabel20.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel20.setForeground(new java.awt.Color(0, 0, 255));
      jLabel20.setText("12          14.0");

      javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
      jPanel3.setLayout(jPanel3Layout);
      jPanel3Layout.setHorizontalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel5, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel6, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                  .addContainerGap())
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel10, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel11, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel12, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel13, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel15, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addGap(16, 16, 16))
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel18, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addContainerGap())
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel19, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addContainerGap())
               .addGroup(jPanel3Layout.createSequentialGroup()
                  .addComponent(jLabel20, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addContainerGap())
               .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                  .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                     .addComponent(jLabel17, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jLabel16, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                  .addGap(16, 16, 16))))
      );
      jPanel3Layout.setVerticalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addGap(4, 4, 4)
            .addComponent(jLabel4)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jLabel5)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel6)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel8)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel10)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel11)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel12)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel13)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel15)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel16)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel17)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel18)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel19)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel20)
            .addContainerGap())
      );

      jLabel21.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel21.setForeground(new java.awt.Color(0, 0, 255));
      jLabel21.setText("* probable mean sea");
      jLabel21.setMaximumSize(new java.awt.Dimension(113, 11));
      jLabel21.setMinimumSize(new java.awt.Dimension(90, 11));
      jLabel21.setPreferredSize(new java.awt.Dimension(113, 11));

      jLabel22.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel22.setForeground(new java.awt.Color(0, 0, 255));
      jLabel22.setText("height in the open sea");
      jLabel22.setMaximumSize(new java.awt.Dimension(90, 11));
      jLabel22.setMinimumSize(new java.awt.Dimension(90, 11));
      jLabel22.setPreferredSize(new java.awt.Dimension(90, 11));

      jLabel23.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel23.setForeground(new java.awt.Color(0, 0, 255));
      jLabel23.setText("remote from land");
      jLabel23.setMaximumSize(new java.awt.Dimension(43, 11));
      jLabel23.setMinimumSize(new java.awt.Dimension(43, 11));
      jLabel23.setPreferredSize(new java.awt.Dimension(43, 11));

      jButton4.setText("Back");
      jButton4.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Back_button_actionPerformed(evt);
         }
      });

      jButton1.setText("OK");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            OK_button_actionPerformed(evt);
         }
      });

      jButton2.setText("Cancel");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton3.setText("Internet");
      jButton3.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Internet_button_actionPerformed(evt);
         }
      });

      jButton5.setText("Stop");
      jButton5.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Stop_button_actionPerformed(evt);
         }
      });

      jPanel4.setBorder(javax.swing.BorderFactory.createEtchedBorder());
      jPanel4.setPreferredSize(new java.awt.Dimension(92, 284));

      jLabel24.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel24.setForeground(new java.awt.Color(0, 0, 255));
      jLabel24.setText("meter         feet");

      jLabel25.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel25.setForeground(new java.awt.Color(0, 0, 255));
      jLabel25.setText("1               3");

      jLabel26.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel26.setForeground(new java.awt.Color(0, 0, 255));
      jLabel26.setText("2               7");

      jLabel27.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel27.setForeground(new java.awt.Color(0, 0, 255));
      jLabel27.setText("3               10");

      jLabel28.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel28.setForeground(new java.awt.Color(0, 0, 255));
      jLabel28.setText("4               13");

      jLabel29.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel29.setForeground(new java.awt.Color(0, 0, 255));
      jLabel29.setText("5               16");

      jLabel30.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel30.setForeground(new java.awt.Color(0, 0, 255));
      jLabel30.setText("6               20");

      jLabel31.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel31.setForeground(new java.awt.Color(0, 0, 255));
      jLabel31.setText("7               23");

      jLabel32.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel32.setForeground(new java.awt.Color(0, 0, 255));
      jLabel32.setText("8               26");

      jLabel33.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel33.setForeground(new java.awt.Color(0, 0, 255));
      jLabel33.setText("9               30");

      jLabel34.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel34.setForeground(new java.awt.Color(0, 0, 255));
      jLabel34.setText("10             33");

      jLabel35.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel35.setForeground(new java.awt.Color(0, 0, 255));
      jLabel35.setText("11             36");

      jLabel36.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel36.setForeground(new java.awt.Color(0, 0, 255));
      jLabel36.setText("12             40");

      jLabel37.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel37.setForeground(new java.awt.Color(0, 0, 255));
      jLabel37.setText("13             43");

      jLabel38.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel38.setForeground(new java.awt.Color(0, 0, 255));
      jLabel38.setText("14             46");

      jLabel39.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel39.setForeground(new java.awt.Color(0, 0, 255));
      jLabel39.setText("15             50");

      javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
      jPanel4.setLayout(jPanel4Layout);
      jPanel4Layout.setHorizontalGroup(
         jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel4Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel24, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel25, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel27, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel28, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel29, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel30, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel31, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel32, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel33, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel34, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel35, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel36, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel26, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                  .addComponent(jLabel37, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addComponent(jLabel39, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addComponent(jLabel38, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))
            .addContainerGap())
      );
      jPanel4Layout.setVerticalGroup(
         jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel4Layout.createSequentialGroup()
            .addGap(4, 4, 4)
            .addComponent(jLabel24)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jLabel25)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel26)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel27)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel28)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel29)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel30)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel31)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel32)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel33)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel34)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel35)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel36)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel37)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel38)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel39)
            .addGap(4, 4, 4))
      );

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(37, 37, 37)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
               .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel21, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
               .addComponent(jLabel22, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel23, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGap(18, 18, 18)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(jLabel7)
                  .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
               .addGroup(layout.createSequentialGroup()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                     .addComponent(jLabel1)
                     .addComponent(jPanel2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                     .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                  .addGap(18, 33, Short.MAX_VALUE)
                  .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addContainerGap(41, Short.MAX_VALUE))))
         .addGroup(layout.createSequentialGroup()
            .addGap(160, 160, 160)
            .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addComponent(jSeparator1)
            .addContainerGap())
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addGap(71, 71, 71)
            .addComponent(jLabel7)
            .addGap(5, 5, 5)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel21, javax.swing.GroupLayout.PREFERRED_SIZE, 13, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel22, javax.swing.GroupLayout.PREFERRED_SIZE, 11, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel23, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addGroup(javax.swing.GroupLayout.Alignment.LEADING, layout.createSequentialGroup()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                     .addGroup(layout.createSequentialGroup()
                        .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel1)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                     .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, 331, javax.swing.GroupLayout.PREFERRED_SIZE))
                  .addGap(0, 0, Short.MAX_VALUE)))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 80, Short.MAX_VALUE)
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents



   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initComponents2()
   {
      // hide Back/Stop buttons if not in next_screen_mode
      if (main.in_next_sequence == false)
      {
         jButton4.setEnabled(false);                         // back button
         jButton5.setEnabled(false);                         // stop button
      }


      if (main.offline_mode == true)
      {
         jButton3.setText("Help");
      }
   }



   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void initSynopparameters() 
   {

      // put back earlier inserted values
      //
      
      // wind waves period
      if (wind_waves_period.compareTo("") != 0)
      {   
         jTextField1.setText(wind_waves_period); 
      }   

      // wind waves height
      if (wind_waves_height.compareTo("") != 0)
      {   
         jTextField2.setText(wind_waves_height); 
      }   
      
      // no swell
      if (swell_1_dir.equals("no swell"))
      {
         jRadioButton2.setSelected(true);
      }
      
      // confused swell
      else if (swell_1_dir.equals("confused"))
      {
         jRadioButton3.setSelected(true);
      }

      // one swell disernable
      else if ( (swell_1_dir.compareTo("") != 0) && (swell_2_dir.equals("")) )
      {
         jRadioButton4.setSelected(true);
      }
      
      // two swells disernable
      else if ( (swell_1_dir.compareTo("") != 0) && (swell_2_dir.compareTo("") != 0) )
      {
         jRadioButton5.setSelected(true);
      }
      
      // swell not determined
      else
      {
         jRadioButton1.setSelected(true);
      }
   }


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
// TODO add your handling code here:
      setVisible(false);
      dispose();

      if (main.in_next_sequence == true)
      {
         next_screen();
      }
   }//GEN-LAST:event_Cancel_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Reset_All_Waves_Vars()
   {
      // scope this module + myturbowin.java main module (all of type: static)
      wind_waves_period          = "";
      wind_waves_height          = "";
      swell_1_dir                = "";
      swell_1_period             = "";
      swell_1_height             = "";
      swell_2_dir                = "";
      swell_2_period             = "";   
      swell_2_height             = "";
      Hw_code                    = "";
      Pw_code                    = "";
      Dw1_code                   = "";
      Pw1_code                   = "";
      Hw1_code                   = "";
      Dw2_code                   = "";
      Hw2_code                   = "";
 
      
      // local var's with initialisation
      float_wind_waves_height    = main.INVALID;               // could become e.g. 2.5 (-> use float)
      int_wind_waves_period      = main.INVALID;
      checks_ok                  = false;

      /* update wave fields on main (progress)screen */
      main.waves_fields_update();
   }


   
   private void OK_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_button_actionPerformed
// TODO add your handling code here:
       
      // initialisation

      // Only if Swell not determined or Calm sea -> reset all waves vars
      // if onther wave options was chosen -> will be followed by a second appropriate waves input form
      if ((jRadioButton1.isSelected() == true) || (jRadioButton2.isSelected() == true))
      {
         Reset_All_Waves_Vars();
      }
      
      // get text from inserted fields
      wind_waves_period = jTextField1.getText().trim(); 
      wind_waves_height = jTextField2.getText().trim();
        
      
     
      /* 
      //////////////// checks
      */
      
      // convert collected (string) values to ints and floats
      
      // wind waves
      try 
      {
         int_wind_waves_period = Integer.parseInt(wind_waves_period.trim());
      }
      catch (NumberFormatException e){/* ... */}
        
      try 
      {
         float_wind_waves_height = Float.parseFloat(wind_waves_height.trim());
      }
      catch (NumberFormatException e){/* ... */}
      
      
         
      //
      ///////////////// wind waves checks
      //
      if ((wind_waves_period.trim().compareTo("confused") != 0) && (wind_waves_period.trim().length() > 0) && 
          (int_wind_waves_period < 0 || int_wind_waves_period > 50 || int_wind_waves_period == main.INVALID))
      {   
         JOptionPane.showMessageDialog(null, "Wind waves period must be in range 0 - 50 (no decimals), confused or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         Reset_All_Waves_Vars();
      }
          
      else if ((wind_waves_height.trim().compareTo("confused") != 0) && (wind_waves_height.trim().length() > 0) && 
               (float_wind_waves_height < 0.0 || float_wind_waves_height > 49.0 || float_wind_waves_height == main.INVALID))
      {
         JOptionPane.showMessageDialog(null, "Wind waves height must be in range 0 - 49.0, confused or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         Reset_All_Waves_Vars();
      }
      
      else
      {
          checks_ok = true;
      }
      
      
      
      /*
      ///////////// consistency checks
      */
      if (checks_ok == true)
      {   
         
         ////// wind waves
	      if ((int_wind_waves_period == 0) && (float_wind_waves_height > 2.2) && (float_wind_waves_height != main.INVALID))
	      {
            JOptionPane.showMessageDialog(null, "If 'wind waves period' = 0 sec. then 'wind waves height' can not be > 2.2 metres", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
            Reset_All_Waves_Vars();
         } // if ((int_wind_waves_period == 0) etc.
         
         else if ((float_wind_waves_height == 0.0) && (wind_waves_period.trim().equals("confused")))
	      {
            JOptionPane.showMessageDialog(null, "If 'wind waves height' = 0 metre then 'wind waves period' can not be > 5 sec. or confused", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
            Reset_All_Waves_Vars();
         } // if ((int_wind_waves_period == 0) etc.
         
         else if ((float_wind_waves_height == 0.0) && (int_wind_waves_period > 5) && (int_wind_waves_period != main.INVALID) && (wind_waves_height.trim().compareTo("confused") != 0))
	      {
            JOptionPane.showMessageDialog(null, "If 'wind waves height' = 0 metre then 'wind waves period' can not be > 5 sec. or confused", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
            Reset_All_Waves_Vars();
         } // if ((int_wind_waves_period == 0) etc.
         
      } // if (checks_ok == true)
      
      
      /*
      ///////////// determine meteorological code figures wind waves
      */
      if (checks_ok == true)
      {   
         ///////////// (wind) wave period
         if (wind_waves_period.trim().length() == 0)                             // nothing inserted
         {
            //JOptionPane.showMessageDialog(null, "nothing inserted" , "wind waves period", JOptionPane.INFORMATION_MESSAGE);
            Pw_code = "//";
         }
         else if (wind_waves_period.trim().equals("confused"))
         {
            Pw_code = "99";
         }   
         else
         {   
            // nb in this stage always in whole seconds (otherwise earlier error message) 
            Pw_code = Integer.toString(int_wind_waves_period);     // convert to string      // or (alternative):Pw_code = String.valueOf(num_Pw_code);
            
            // Pw code always 2 characters width e.g. 03
            int len = 2;
            if (Pw_code.length() < len)                                            // pad on left with zeros
               Pw_code = "0000000000".substring(0, len - Pw_code.length()) + Pw_code;

         } // else
         

         //////////// (wind) wave height
         if (wind_waves_height.trim().length() == 0)                             // nothing inserted
         {
            Hw_code = "//";
         }
         else if (wind_waves_height.trim().equals("confused"))
         {
            Hw_code = "//";
         }   
         else
         {   
            // round to units of 0.5 metres
            
            // e.g. 2.2 metres -> Hw = 4 units of 0.5 metres
            // e.g. 2.3 metres -> Hw = 5 units of 0.5 metres
            
            int num_Hw_code = (int)Math.floor(float_wind_waves_height * 2 + 0.5);
            Hw_code = Integer.toString(num_Hw_code);     // convert to string      // or (alternative): Hw_code = String.valueOf(num_Hw_code);
            
            // Hw code always 2 characters width e.g. 03
            int len = 2;
            if (Hw_code.length() < len)                                            // pad on left with zeros
               Hw_code = "0000000000".substring(0, len - Hw_code.length()) + Hw_code;
         } // else
        
          
      } // if (checks_ok == true)  



      
      //
      ////////// swell system(s)
      //
      if (checks_ok == true)
      {
         /* update wave fields on main (progress)screen */
         main.waves_fields_update();

         /* close this input page */
         setVisible(false);
         dispose();

         if (jRadioButton1.isSelected() == true)              // Swell not determined
         {
            // Swell not determined
            //
            // nothing to be done...

            /* next screen if in_next_screen mode */
            if (main.in_next_sequence == true)
            {
               next_screen();
            }
         }
         else if (jRadioButton2.isSelected() == true)         // Calm sea, no swell
         {
            // Calm sea, no swell
            Dw1_code          = "00";
            Dw2_code          = "00";
            //Pw1_code          = "00";
            //Hw1_code          = "00";
         
            swell_1_dir       = "no swell";
            swell_1_period    = "no swell";
            swell_1_height    = "no swell";

            /* next screen if in_next_screen mode */
            if (main.in_next_sequence == true)
            {
               next_screen();
            }
         }
         else if (jRadioButton3.isSelected() == true)           // Confused swell or indeterminable direction
         {
            // Confused swell or indeterminable direction
            myconfusedswell form = new myconfusedswell();    
            form.setSize(800, 600);
            form.setVisible(true);
         }
         else if (jRadioButton4.isSelected() == true)           // One swell discernable
         {
            // One swell discernable
            myoneswellsystem form = new myoneswellsystem();
            form.setSize(800, 600);
            form.setVisible(true);
         }
         else if (jRadioButton5.isSelected() == true)           // Two swells discernable
         {
            // Two swells discernable
            mytwoswellsystems form = new mytwoswellsystems();
            form.setSize(800, 600);
            form.setVisible(true);
         }
      } // if (checks_ok == true)
      
      
      /*
      ////////// Update and close
      */
/*
      if (checks_ok == true)
      {
         // update wave fields on main (progress)screen 
         main.waves_fields_update();

         // close this input page 
         setVisible(false);
         dispose();

      } // if (checks_ok == true)
*/
   }//GEN-LAST:event_OK_button_actionPerformed




   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Internet_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Internet_button_actionPerformed
      // TODO add your handling code here:
      main.help_mouseClicked(WAVES_HELP_DIR);
   }//GEN-LAST:event_Internet_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Back_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Back_button_actionPerformed
      // TODO add your handling code here:

      setVisible(false);
      dispose();

      previous_screen();
   }//GEN-LAST:event_Back_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void Stop_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Stop_button_actionPerformed
      // TODO add your handling code here:

      setVisible(false);
      dispose();

      main.in_next_sequence = false;
   }//GEN-LAST:event_Stop_button_actionPerformed


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void next_screen()
   {
      myvisibility form = new myvisibility();
      form.setSize(800, 600);
      form.setVisible(true);
   }


   /***********************************************************************************************/
   /*                                                                                             */
   /*                                                                                             */
   /*                                                                                             */
   /***********************************************************************************************/
   private void previous_screen()
   {
      mywind form = new mywind();
      form.setSize(800, 600);
      form.setVisible(true);
   }




   /**
    * @param args the command line arguments
    */
   public static void main(String args[]) {
      java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
         public void run() {
            new mywaves().setVisible(true);
         }
      });
   }
   
   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.ButtonGroup buttonGroup1;
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JButton jButton3;
   private javax.swing.JButton jButton4;
   private javax.swing.JButton jButton5;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel10;
   private javax.swing.JLabel jLabel11;
   private javax.swing.JLabel jLabel12;
   private javax.swing.JLabel jLabel13;
   private javax.swing.JLabel jLabel14;
   private javax.swing.JLabel jLabel15;
   private javax.swing.JLabel jLabel16;
   private javax.swing.JLabel jLabel17;
   private javax.swing.JLabel jLabel18;
   private javax.swing.JLabel jLabel19;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel20;
   private javax.swing.JLabel jLabel21;
   private javax.swing.JLabel jLabel22;
   private javax.swing.JLabel jLabel23;
   private javax.swing.JLabel jLabel24;
   private javax.swing.JLabel jLabel25;
   private javax.swing.JLabel jLabel26;
   private javax.swing.JLabel jLabel27;
   private javax.swing.JLabel jLabel28;
   private javax.swing.JLabel jLabel29;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel30;
   private javax.swing.JLabel jLabel31;
   private javax.swing.JLabel jLabel32;
   private javax.swing.JLabel jLabel33;
   private javax.swing.JLabel jLabel34;
   private javax.swing.JLabel jLabel35;
   private javax.swing.JLabel jLabel36;
   private javax.swing.JLabel jLabel37;
   private javax.swing.JLabel jLabel38;
   private javax.swing.JLabel jLabel39;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JLabel jLabel6;
   private javax.swing.JLabel jLabel7;
   private javax.swing.JLabel jLabel8;
   private javax.swing.JLabel jLabel9;
   private javax.swing.JPanel jPanel1;
   private javax.swing.JPanel jPanel2;
   private javax.swing.JPanel jPanel3;
   private javax.swing.JPanel jPanel4;
   private javax.swing.JRadioButton jRadioButton1;
   private javax.swing.JRadioButton jRadioButton2;
   private javax.swing.JRadioButton jRadioButton3;
   private javax.swing.JRadioButton jRadioButton4;
   private javax.swing.JRadioButton jRadioButton5;
   private javax.swing.JSeparator jSeparator1;
   private javax.swing.JTextField jTextField1;
   private javax.swing.JTextField jTextField2;
   // End of variables declaration//GEN-END:variables



   // constants scope this module
   //private final int INVALID                      = 9999999;
   private final String WAVES_HELP_DIR            = "waves.pdf";

   // var's scope this module + andere waves modules + myturbowin.java main module (all of type: static)
   public static String wind_waves_period         = "";   // if not ="" -> nullpointerexception if update button clicked on main page
   public static String wind_waves_height         = "";
   public static String swell_1_dir               = "";
   public static String swell_1_period            = "";
   public static String swell_1_height            = "";
   public static String swell_2_dir               = "";
   public static String swell_2_period            = "";
   public static String swell_2_height            = "";
   public static String Hw_code                   = "";
   public static String Pw_code                   = "";
   public static String Dw1_code                  = "";
   public static String Pw1_code                  = "";
   public static String Hw1_code                  = "";
   public static String Dw2_code                  = "";
   public static String Pw2_code                  = "";
   public static String Hw2_code                  = "";
   
   // var's scope only this module (no static)
   private float float_wind_waves_height          = main.INVALID;
   private int int_wind_waves_period              = main.INVALID;
   private boolean checks_ok                      = false;
}
